cancel
Showing results for 
Search instead for 
Did you mean: 

Graph Data Science Playground uses dbms.procedures() deprecated to verify gds

When I want to use the NEuler, Launching NEuler (Graph Data Science Playground) fails checking gds plugin, it uses call dbms.procedures() to check but is deprecated.

The following message is displayed:

We are checking whether the library is installed by running the following query:
CALL dbms.procedures()
YIELD name
WHERE name STARTS WITH "gds"
RETURN count(*) AS count;

It tries to find the gds plugin but it keeps searching endlessly.
Can I change the query in some way to use SHOW PROCEDURES?

  • Versions used:
    Graph Data Sciencie Playgorund 0.1.55
    Neo4j Desktop 1.5.2
    gds 2.2.3
    apoc 5.1.0
    Thank you for your collaboration, greetings.
2 REPLIES 2

robert37
Node

I have the same issue.

Cobra
Ninja
Ninja

Hello @damianquijano 😊

I use this query:

CALL {
	RETURN 'Graph Data Science' AS Plugin, gds.version() AS Version
	UNION ALL
	RETURN 'APOC' AS Plugin, apoc.version() AS Version
}
RETURN Plugin, Version

Regards,
Cobra